var WeatherHandler = function() {}
WeatherHandler.prototype.getWeatherData = function(document) {
  var lat = document.getElementById('lat').value;
  var lon = document.getElementById('lon').value;

  var url = '/weather?lat=' + lat + '&lon=' + lon;
  
  var self = this;
  
  $.get(url, function(data) {
    self.updateWeatherData(document, data);
  });
}

WeatherHandler.prototype.updateWeatherData = function(document, result) {
  document.getElementById('temperature').innerHTML = result.temperature;
  document.getElementById('condition').innerHTML = result.condition;
}

var registerEvents = function(document) {
  var weatherHandler = new WeatherHandler();
  document.getElementById('submit').onclick = function() { weatherHandler.getWeatherData(document); }
  return weatherHandler;
}